Description

Drag-and-drop is sometimes not a very good way of rearranging layers. I frequently end up adding a layer to a group when I mean to put it

above the group. I think having a "move layer up" and "move layer down" set of buttons on the layers panel would be helpful.

History

#1 - 2016-01-08 01:14 AM - Saber Razmjooei

- Category set to GUI

#2 - 2016-01-10 10:51 AM - Sebastian Dietrich

Note that move up and move down is ambigious when the previous/next entry is a group. Should the layer be moved into the group or not? The user

should be given a means to decide what is going to happen, e.g. Ctrl-Click the buttons.

Example:

1. Layer

2. Group

Should moving down the Layer result in

1. Group

2. Layer

or

1. Group

1.1 Layer

#3 - 2016-01-10 11:23 AM - Jesse McMillan

Good idea Sebastian,

for that matter, another idea would be to be able to use keyboard shortcuts. For instance, with a layer selected in the layers panel:

shift + up: move layer up
shift + down: move layer down

control + shift + up: move into group above, or if top item in group move out of group

control + shift + down: move into group below, or if bottom item in group move out of group

#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
